<?php
/*			DATOS DE PRUEBA			*/
/*$_POST['apodo'] = 'Chilito';
$_POST['contrasena'] = '12345';

$_POST['cNueva'] = '123456';

$_POST['nombre'] = 'Miguel';
$_POST['ap_paterno'] = 'Alvarez';
$_POST['ap_materno'] = 'Saez';
$_POST['celular'] = '82348074';
$_POST['correo'] = 'mcc@alumnos.ubiobio.cl';*/
/*		------------------------	*/
$res = array('resultado' => false);
if(isset($_POST['apodo']) && isset($_POST['contrasena'])){

	$apo = $_POST['apodo'];
	$con = sha1($_POST['contrasena']);

	$usu = new UMovil();

	if(isset($_POST['cNueva'])){
		$cNueva = sha1($_POST['cNueva']);

		$res = array('resultado' => $usu->actualizarContrasena($apo, $con , $cNueva));
	}else{
		$correo =  $_POST['correo'];
		$nombre = (empty($_POST['nombre']))?null:$_POST['nombre'];
		$paterno = (empty($_POST['ap_paterno']))?null:$_POST['ap_paterno'];
		$materno = (empty($_POST['ap_materno']))?null:$_POST['ap_materno'];
		$celular = (empty($_POST['celular']))?null:$_POST['celular'];

		$res = array('resultado' => $usu->actualizarDatos($apo, $con , $nombre, $paterno, $materno, $celular, $correo));
	}
}
echo JSON::array2json($res);
?>